CS::Animation::iBodyBone Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Animation::iBodyBone Struct Reference

A body bone holds the physical description of the bone of an animated mesh. More...

`#include <imesh/bodymesh.h>`

Inheritance diagram for CS::Animation::iBodyBone:

List of all members.

## Public Member Functions
virtual iBodyBoneCollider * | CreateBoneCollider ()=0
| Add a new collider for this body bone.
virtual iBodyBoneJoint * | CreateBoneJoint ()=0
| Create a joint for this body bone.
virtual iBodyBoneProperties * | CreateBoneProperties ()=0
| Create physical properties for this body bone.
virtual BoneID | GetAnimeshBone () const =0
| Return the ID of the bone of the animated mesh associated with this body bone.
virtual iBodyBoneCollider * | GetBoneCollider (size_t index) const =0
| Get the collider of this body bone with the given index.
virtual size_t | GetBoneColliderCount () const =0
| Get the count of colliders for this body bone.
virtual iBodyBoneJoint * | GetBoneJoint () const =0
| Get the description of the joint of this body bone.
virtual iBodyBoneProperties * | GetBoneProperties () const =0
| Get the physical properties of this body bone.

## Detailed Description

A body bone holds the physical description of the bone of an animated mesh.

Definition at line 140 of file bodymesh.h.

## Member Function Documentation

virtual iBodyBoneCollider* CS::Animation::iBodyBone::CreateBoneCollider | ( |  | ) | `[pure virtual]`

Add a new collider for this body bone.

virtual iBodyBoneJoint* CS::Animation::iBodyBone::CreateBoneJoint | ( |  | ) | `[pure virtual]`

Create a joint for this body bone.

Only one CS::Animation::iBodyBoneJoint can be created per bone.

virtual iBodyBoneProperties* CS::Animation::iBodyBone::CreateBoneProperties | ( |  | ) | `[pure virtual]`

Create physical properties for this body bone.

Only one CS::Animation::iBodyBoneProperties can be created per bone. If no properties are defined then they will be computed automatically by the dynamic system.

virtual BoneID CS::Animation::iBodyBone::GetAnimeshBone | ( |  | ) | const`[pure virtual]`

Return the ID of the bone of the animated mesh associated with this body bone.

virtual iBodyBoneCollider* CS::Animation::iBodyBone::GetBoneCollider | ( | size_t | index | ) | const`[pure virtual]`

Get the collider of this body bone with the given index.

virtual size_t CS::Animation::iBodyBone::GetBoneColliderCount | ( |  | ) | const`[pure virtual]`

Get the count of colliders for this body bone.

virtual iBodyBoneJoint* CS::Animation::iBodyBone::GetBoneJoint | ( |  | ) | const`[pure virtual]`

Get the description of the joint of this body bone.

Returns:
  0 if no joint was defined.

virtual iBodyBoneProperties* CS::Animation::iBodyBone::GetBoneProperties | ( |  | ) | const`[pure virtual]`

Get the physical properties of this body bone.

Returns:
  0 if no properties were defined.

The documentation for this struct was generated from the following file:

- imesh/bodymesh.h